<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-vrum                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<mat-toolbar color="primary">
  <button mat-icon-button id="vrum-sidenav-toggle-btn" *ngIf="currentUser" (click)="toggleSidenav()"
          fxHide.gt-md="true">
    <mat-icon>menu</mat-icon>
  </button>
  <span>{{'toolbar.title' | translate}}</span>
  <span fxFlex="grow"></span>

  <button id="vrum-login-menu-btn" *ngIf="currentUser" mat-icon-button [matMenuTriggerFor]="loginMenu">
    <mat-icon>account_circle</mat-icon>
  </button>
  <mat-menu #loginMenu [overlapTrigger]="false" xPosition="before">
    <mat-card id="loginCard" *ngIf="currentUser" class="login-card">
      <mat-card-content fxLayout fxLayoutGap="2rem">
        <mat-icon class="avatar">account_circle</mat-icon>
        <div fxLayout="column" fxLayoutGap="2rem">
          <div fxLayout fxLayoutGap="2rem">
            <div fxLayout="column">
              <span class="readonly-label">{{'toolbar.user.user' | translate}}</span>
              <span class="readonly-value" id="vrum-current-user">{{currentUser.login}}</span>
            </div>
            <div fxLayout="column">
              <span class="readonly-label">{{'toolbar.user.canton' | translate}}</span>
              <span class="readonly-value">{{currentUser.realm}}</span>
            </div>
          </div>
          <div fxLayout="column">
            <span class="readonly-label">{{'toolbar.user.management-entity' | translate}}</span>
            <span class="readonly-value">{{currentUser.managementEntity}}</span>
          </div>
        </div>
      </mat-card-content>

      <mat-divider></mat-divider>

      <mat-card-actions *ngIf="currentUser">
        <div class="btn-logout-container" fxLayout fxLayoutAlign="end">
          <button id="logoutButton" fxFlexAlign="end" mat-button color="primary" (click)="logout()">
            <mat-icon>exit_to_app</mat-icon>
            {{'toolbar.user.logout' | translate}}
          </button>
        </div>
      </mat-card-actions>
    </mat-card>
  </mat-menu>

  <button mat-icon-button [matMenuTriggerFor]="languageMenu">
    <mat-icon>language</mat-icon>
  </button>
  <mat-menu #languageMenu [overlapTrigger]="false">
    <button *ngFor="let lang of availableLangs()" mat-menu-item (click)="currentLang = lang">
      {{'toolbar.language.' + lang | translate}}
    </button>
  </mat-menu>
</mat-toolbar>
